D4Science Infrastructure - Task #12678

Ansible-dataminer: manage parallel computation as parameter in web.xml
Oct 12, 2018 05:09 PM - Roberto Cirillo

Status: Closed Start date: Oct 12, 2018
Priority: Normal Due date:
Assignee: Roberto Cirillo % Done: 100%
Category: Application Estimated time: 0.00 hour
Target version: D4Science Infrastructure upgrade to

gCube 4.13
Infrastructure: Pre-Production, Production
Description

It's needed to create an ansible task for adding the parallel computation parameter in the web.xml as reported here: #12675.
It should be set to:

e 1 for each dataminer-gw
e 4 for each production and proto instance

History

#2 - Oct 15, 2018 02:27 PM - Roberto Cirillo

- Status changed from New to In Progress

#4 - Oct 15,2018 02:33 PM - Andrea Dell'Amico
- Parent task set to #12675

#5 - Oct 15, 2018 02:57 PM - Roberto Cirillo
- Status changed from In Progress to Paused

- % Done changed from 0 to 80

New variable managed. | need to test it in preproduction environment when the new dataminer version (1.5.5) is available in gCube-Staging repo.

#6 - Oct 16, 2018 10:23 AM - Roberto Cirillo

- Status changed from Paused to In Progress

#7 - Oct 16,2018 11:04 AM - Roberto Cirillo

The playbook take very long time: about one hour for update a single instance.
Most of the time used for installing additional packages as knime, etc.
@andrea.dellamico@isti.cnr.it do you think in production the running will be more fast?

#8 - Oct 16, 2018 11:09 AM - Roberto Cirillo
- Status changed from In Progress to Closed

- % Done changed from 80 to 100

The new dataminer app has been installed successfully: The new web.xml is properly managed.
I've explicitly set the new wps version (1.1.2-4.13.0-173396) in the playbook otherwise the playbook doesn't install the latest webapp version. We
should find a way ( if it there isn't yet) to force a webapp upgrade.

#9 - Oct 16, 2018 12:47 PM - Andrea Dell'Amico
Roberto Cirillo wrote:
The new dataminer app has been installed successfully: The new web.xml is properly managed.

I've explicitly set the new wps version (1.1.2-4.13.0-173396) in the playbook otherwise the playbook doesn't install the latest webapp version. We
should find a way ( if it there isn't yet) to force a webapp upgrade.

As we use maven, the webapp is upgraded every time a new version is found on maven. Why latest didn't work? That could be a problem.

Jun 16, 2025 1/1



http://www.tcpdf.org

